summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-04-28 10:31:19 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-04-28 10:31:19 +0200
commit490dc079c0374ee2a290a06c42e6ad7e9ca1fa22 (patch)
tree184ea7383c065c00822d8a0e48c4c03b11a27346 /run.sh
parent210cf79cdddda090c5ed45e29b32efee73c50494 (diff)
produce dfatool-compatible output, add run script
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..d30b956
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+ARRSIZE=512
+
+./mbw -t0 ${ARRSIZE}
+./mbw -t1 ${ARRSIZE}
+for blocksize in 8 16 32 64 128 256 512 1024 \
+ $((1024*2)) $((1024*4)) $((1024*8)) $((1024*16)) $((1024*32)) $((1024*64)) \
+ $((1024*128)) $((1024*256)) $((1024*512)) $((1024*1024)) \
+ $((1024*1024*2)) $((1024*1024*4)) $((1024*1024*8)) $((1024*1024*16)); do
+ ./mbw -b $blocksize -t2 ${ARRSIZE}
+done